---
apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  annotations:
    tuned.openshift.io/generated-by-controller-version: 592f664f0
  creationTimestamp: "2025-10-27T12:07:40Z"
  generation: 1
  labels:
    machineconfiguration.openshift.io/role: master
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:tuned.openshift.io/generated-by-controller-version: {}
        f:labels:
          .: {}
          f:machineconfiguration.openshift.io/role: {}
      f:spec:
        .: {}
        f:baseOSExtensionsContainerImage: {}
        f:fips: {}
        f:kernelArguments: {}
        f:kernelType: {}
        f:osImageURL: {}
    manager: cluster-node-tuning-operator
    operation: Update
    time: "2025-10-27T12:07:40Z"
  name: 50-nto-master
  resourceVersion: "32485"
  uid: b5bea3af-8803-4117-8633-4b41ec497c66
spec:
  baseOSExtensionsContainerImage: ""
  fips: false
  kernelArguments:
  - default_hugepagesz=2M
  - hugepages=256
  - hugepagesz=1G
  - hugepages=4
  kernelType: ""
  osImageURL: ""
